#ifndef EEZ_LVGL_UI_EVENTS_H
#define EEZ_LVGL_UI_EVENTS_H

#include <lvgl.h>
#include  "vars.h"
#include "ui.h"

#ifdef __cplusplus
extern "C" {
#endif


void ui_settemp(float tmp);
void action_zoom_set_temp(lv_event_t * e);
void action_switch_screens(lv_event_t * e);
void showDebugScreen(lv_event_t * e);
void showMenuScreen(lv_event_t * e);
void showChartScreen(lv_event_t * e);
void showMainScreen(lv_event_t * e);
void showRolloScreen(lv_event_t * e);
void showRolloPosScreen(lv_event_t * e);
void moveRolloUp(lv_event_t * e);
void moveRolloDown(lv_event_t * e);
void moveRolloMan(lv_event_t * e);
void rebootESP(lv_event_t * e);
void action_show_cursors_cb(lv_event_t * e);
void chartDrawingCB(lv_event_t * e);
void update_sensorNstatus(float temp, float hum, float seaLevelPress, bool presAlarm);
void update_clockdots(void);
void update_status(void);
void update_wifi_strength(wifistrength_t strength, wifimode_t mode);
void chart_autoscale(void);
extern dataset_t glblData;
void draw_event_cb(lv_event_t* e);


#ifdef __cplusplus
}
#endif

#endif /*EEZ_LVGL_UI_EVENTS_H*/